Name:		galculator
Summary:	GTK based calculator
Version:	2.1.2
Release:	%mkrel 2
URL:		http://galculator.sourceforge.net/
Group:		Sciences/Mathematics
License:	GPLv2+
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	quadmath-devel
BuildRequires:	pkgconfig(gtk+-3.0)

%description
Galculator is a calculator that features two user modes: basic and
scientific mode.  Basic mode is intended for simple computations.
Only the most important operations and functions are available in
algebraic mode as well as in Reverse Polish Mode.

%files -f %{name}.lang
%doc AUTHORS NEWS README THANKS ChangeLog doc/shortcuts
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}.1.*
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-gtk3
%make

%install
%makeinstall_std

desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--add-category='Calculator;GTK;GNOME' \
		%{buildroot}%{_datadir}/applications/*.desktop

%find_lang  %{name}


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.1.2-2.mga4
+ Revision: 525526
- Mageia 4 Mass Rebuild

* Thu May 30 2013 wally <wally> 2.1.2-1.mga4
+ Revision: 433440
- new version 2.1.2
- clean .spec a bit

* Fri Jan 11 2013 umeabot <umeabot> 2.0.1-2.mga3
+ Revision: 351024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 fwang <fwang> 2.0.1-1.mga3
+ Revision: 331887
- new version 2.0.1

* Sat Oct 20 2012 fwang <fwang> 2.0-2.mga3
+ Revision: 308372
- update summary

* Fri Oct 19 2012 julien <julien> 2.0-1.mga3
+ Revision: 308338
- change group to Science/Mathematics
- new version 2.0

* Thu Feb 23 2012 julien <julien> 1.3.4-2.mga2
+ Revision: 213095
- add linker flag to make it compile

* Sun Jun 12 2011 julien <julien> 1.3.4-1.mga2
+ Revision: 104998
- cleanup spec
- imported package galculator


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-3mdv2011.0
+ Revision: 618394
- the mass rebuild of 2010.0 packages

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 1.3.4-2mdv2010.0
+ Revision: 437647
- rebuild

* Sun Feb 08 2009 Funda Wang <fwang@mandriva.org> 1.3.4-1mdv2009.1
+ Revision: 338522
- New version 1.3.4

* Fri Jan 16 2009 Funda Wang <fwang@mandriva.org> 1.3.3-1mdv2009.1
+ Revision: 330096
- use desktop file install
- New version 1.3.3

* Sat Jan 10 2009 Funda Wang <fwang@mandriva.org> 1.3.2-1mdv2009.1
+ Revision: 327869
- BR intltool
- New version 1.3.2

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.3.1-4mdv2009.0
+ Revision: 245622
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.3.1-2mdv2008.1
+ Revision: 170851
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sun Feb 03 2008 Funda Wang <fwang@mandriva.org> 1.3.1-1mdv2008.1
+ Revision: 161818
- BR ImageMagick
- drop icons
- New version 1.3.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Mar 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.2.5.2-2mdv2007.1
+ Revision: 145087
- Add XDG menu
- Import galculator

* Thu Apr 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.5.2-1mdk
- New release 1.2.5.2

* Tue Mar 28 2006 Lenny Cartier <lenny@mandriva.com> 1.2.5.1-1mdk
- 1.2.5.1

* Wed May 11 2005 Austin Acton <austin@mandriva.org> 1.2.5-1mdk
- New release 1.2.5

* Tue Oct 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4

* Thu May 27 2004 Austin Acton <austin@mandrake.org> 1.2.3-1mdk
- 1.2.3
- configure2_5x

* Wed May 05 2004 Michael Scherer <misc@mandrake.org> 1.2.2-1mdk
- New release 1.2.2
- fix BuildRequires
- fix rpmlint errors
- enhance description

